function [med,vals] = get_med(mean_c,values)
vals = zeros(1,length(values));
for i=1:length(values)
    if not(iscell(values))
        vals(i) = values(i);
    elseif iscell(values{i})
        vals(i) = values{i}{1};
    else
        vals(i) = values{i};
    end
end
med = median(vals);
end